#!/bin/bash

echo -e "\n${extra_key}" >> /home/ubuntu/.ssh/authorized_keys

sudo apt update -y

# Install EC2 Instance Connect
sudo apt-get install -y ec2-instance-connect

# Install Docker
sudo apt-get -y install ca-certificates curl
sudo install -y -m 0755 -d /etc/apt/keyrings
sudo curl -fsSL https://download.docker.com/linux/ubuntu/gpg -o /etc/apt/keyrings/docker.asc
sudo chmod a+r /etc/apt/keyrings/docker.asc
echo \
  "deb [arch=$(dpkg --print-architecture) signed-by=/etc/apt/keyrings/docker.asc] https://download.docker.com/linux/ubuntu \
  $(. /etc/os-release && echo "$VERSION_CODENAME") stable" | \
  sudo tee /etc/apt/sources.list.d/docker.list > /dev/null

sudo apt-get update
sudo apt-get install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin

# End Install Docker

https://github.com/KopiCloud/terraform-aws-windows-ec2-instance.git
